<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../../config/database.php';
include_once '../../objects/stock_balance.php';

$database = new Database();
$db = $database->getConnection();
 
$stock_balance = new StockBalance($db);
$data = json_decode(file_get_contents("php://input"));

$stock_balance->date = isset($_GET['date']) ? $_GET['date'] : null;
$stock_balance->store = isset($_GET['store']) ? $_GET['store'] : null;

$stmt = $stock_balance->search();

$num = $stmt->rowCount();
$arr=array();
$arr["records"]=array();

if($num>0){
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
        extract($row);
        $stock_balance_d=array(
            $store,
            $category,
            $type,
            $item_code,
            $item_name,
            $total,
            $capital_price,
            ($total)*$capital_price
        );
        array_push($arr["records"], $stock_balance_d);
    }   
}
echo json_encode($arr);
?>